# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant::Config.run do |config|

	config.vm.box = "precise32"
	config.vm.box_url = "http://www.ersystem.pl/vagrant/precise32.box"
	
	# dostęp przez http://192.168.100.100/
	config.vm.network :hostonly, "192.168.100.100"
	
	# oraz http://localhost:8080/
	config.vm.forward_port 80, 8080

  	# Boot with a GUI so you can see the screen. (Default is headless)
  	# config.vm.boot_mode = :gui


 	# Share an additional folder to the guest VM. The first argument is
  	# an identifier, the second is the path on the guest to mount the
  	# folder, and the third is the path on the host to the actual folder.
  
	config.vm.share_folder "deploy_root", "/var/www", "."

	config.vm.provision :puppet do |puppet|
		puppet.manifests_path = "puppet"
		puppet.manifest_file  = "default.pp"
	end
end
